:local(.date) {
  position: relative;
  display: inline-block !important;

  label {
    pointer-events: auto !important;
  }

  > div {
    flex: 1;
  }

  &:local(.disabled) {
    + button, button {
      display: none !important;
    }
  }

  &:local(.description) {
    label {
      top: 32px !important;
    }
  }

  &:local(.required) {
    label:after {
      content: ' *';
      color: red;
    }
  }

  :local(.icon) {
    padding: 0 !important;
    width: 24px !important;
    margin: 10px 0 !important;
    height: 24px !important;
    position: absolute !important;
    right: 0 !important;
    top: 27px !important;
    display: none !important;

    svg {
      fill: #0d5d9b !important;
      height: 16px !important;
      width: 16px !important;
      stroke: #0d5d9b;
      stroke-width: 2px;
    }
  }

  &:not(:local(.disabled)):hover {
    :local(.icon) {
      display: block !important;
    }
  }
}



